"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var trace_protocol_1 = require("../common/trace-protocol");
var slogger_protocol_1 = require("../common/slogger-protocol");
var browser_1 = require("@theia/core/lib/browser");
var slogger_jsonrpc_proxy_1 = require("./slogger-jsonrpc-proxy");
exports.default = new inversify_1.ContainerModule(function (bind) {
    bind(slogger_jsonrpc_proxy_1.SloggerServiceJsonRpcProxy).toSelf().inSingletonScope();
    bind(slogger_protocol_1.SloggerServerWatcher).toSelf().inSingletonScope();
    bind(slogger_protocol_1.ISloggerServer).toDynamicValue(function (ctx) {
        var sloggerWatcher = ctx.container.get(slogger_protocol_1.SloggerServerWatcher);
        var connection = ctx.container.get(browser_1.WebSocketConnectionProvider);
        var target = connection.createProxy(slogger_protocol_1.SLOGGER_SERVICE_WS_PATH, sloggerWatcher.getSloggerClient());
        return target;
    }).inSingletonScope();
    bind(trace_protocol_1.ITracer).toDynamicValue(function (ctx) {
        var provider = ctx.container.get(browser_1.WebSocketConnectionProvider);
        return provider.createProxy(trace_protocol_1.TRACER_SERVICE_WS_PATH);
    }).inSingletonScope();
});
//# sourceMappingURL=core-frontend-module.js.map