"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var core_1 = require("@theia/core");
var ISloggerServerTypes;
(function (ISloggerServerTypes) {
    var NotifcationData;
    (function (NotifcationData) {
        NotifcationData[NotifcationData["OK"] = 0] = "OK";
        NotifcationData[NotifcationData["ERROR"] = 1] = "ERROR";
        NotifcationData[NotifcationData["STOPPED"] = 2] = "STOPPED";
    })(NotifcationData = ISloggerServerTypes.NotifcationData || (ISloggerServerTypes.NotifcationData = {}));
    var ImportFileResult = /** @class */ (function () {
        function ImportFileResult() {
        }
        return ImportFileResult;
    }());
    ISloggerServerTypes.ImportFileResult = ImportFileResult;
    var ImportFileResultCode;
    (function (ImportFileResultCode) {
        ImportFileResultCode[ImportFileResultCode["OK"] = 0] = "OK";
        ImportFileResultCode[ImportFileResultCode["UNKNOWN_FAILURE"] = 1] = "UNKNOWN_FAILURE";
    })(ImportFileResultCode = ISloggerServerTypes.ImportFileResultCode || (ISloggerServerTypes.ImportFileResultCode = {}));
    var ChangeQueryResult = /** @class */ (function () {
        function ChangeQueryResult() {
        }
        return ChangeQueryResult;
    }());
    ISloggerServerTypes.ChangeQueryResult = ChangeQueryResult;
    var GetEventsFromToResult = /** @class */ (function () {
        function GetEventsFromToResult() {
        }
        return GetEventsFromToResult;
    }());
    ISloggerServerTypes.GetEventsFromToResult = GetEventsFromToResult;
    var Events = /** @class */ (function () {
        function Events() {
        }
        ;
        return Events;
    }());
    ISloggerServerTypes.Events = Events;
    var ClearDataResult = /** @class */ (function () {
        function ClearDataResult() {
        }
        return ClearDataResult;
    }());
    ISloggerServerTypes.ClearDataResult = ClearDataResult;
    var OnQueryChangedResult = /** @class */ (function () {
        function OnQueryChangedResult() {
        }
        return OnQueryChangedResult;
    }());
    ISloggerServerTypes.OnQueryChangedResult = OnQueryChangedResult;
    var OnQueryChangedNotification = /** @class */ (function () {
        function OnQueryChangedNotification() {
        }
        return OnQueryChangedNotification;
    }());
    ISloggerServerTypes.OnQueryChangedNotification = OnQueryChangedNotification;
    var OnImportFileResult = /** @class */ (function () {
        function OnImportFileResult() {
        }
        return OnImportFileResult;
    }());
    ISloggerServerTypes.OnImportFileResult = OnImportFileResult;
    var OnImportFileNotification = /** @class */ (function () {
        function OnImportFileNotification() {
        }
        return OnImportFileNotification;
    }());
    ISloggerServerTypes.OnImportFileNotification = OnImportFileNotification;
})(ISloggerServerTypes = exports.ISloggerServerTypes || (exports.ISloggerServerTypes = {}));
exports.SLOGGER_SERVICE_WS_PATH = '/services/slogger-service';
exports.ISloggerServer = Symbol('ISloggerServer');
exports.ISloggerClient = Symbol('ISloggerClient');
var DispatchingSLoggerClient = /** @class */ (function () {
    function DispatchingSLoggerClient() {
        this.clients = new Set();
        console.log("**** DispatchingSLoggerClient.constructor");
    }
    DispatchingSLoggerClient.prototype.push = function (client) {
        console.log("**** DispatchingSLoggerClient.push ");
        this.clients.add(client);
        console.log("**** DispatchingSLoggerClient.push attached Clients: " + this.clients.size);
    };
    DispatchingSLoggerClient.prototype.remove = function (client) {
        console.log("**** DispatchingSLoggerClient.remove ");
        this.clients.delete(client);
    };
    DispatchingSLoggerClient.prototype.onQueryChanged = function (event) {
        console.log("**** DispatchingSLoggerClient.onQueryChanged");
        this.clients.forEach(function (client) { return client.onQueryChanged(event); });
    };
    DispatchingSLoggerClient.prototype.onImportFile = function (event) {
        console.log("**** DispatchingSLoggerClient.onImportFile");
        this.clients.forEach(function (client) { return client.onImportFile(event); });
    };
    DispatchingSLoggerClient = __decorate([
        inversify_1.injectable(),
        __metadata("design:paramtypes", [])
    ], DispatchingSLoggerClient);
    return DispatchingSLoggerClient;
}());
exports.DispatchingSLoggerClient = DispatchingSLoggerClient;
var SloggerServerWatcher = /** @class */ (function () {
    function SloggerServerWatcher() {
        this.onImportFileEmitter = new core_1.Emitter();
        this.onQueryChangedEmitter = new core_1.Emitter();
    }
    SloggerServerWatcher.prototype.getSloggerClient = function () {
        var importFileEmitter = this.onImportFileEmitter;
        var queryChangedEmiiter = this.onQueryChangedEmitter;
        console.log("**** Now creating a new SloggerWatcherClient");
        return {
            onImportFile: function (event) {
                importFileEmitter.fire(event);
            },
            onQueryChanged: function (event) {
                queryChangedEmiiter.fire(event);
            }
        };
    };
    Object.defineProperty(SloggerServerWatcher.prototype, "onImportFile", {
        get: function () {
            return this.onImportFileEmitter.event;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SloggerServerWatcher.prototype, "onQueryChanged", {
        get: function () {
            return this.onQueryChangedEmitter.event;
        },
        enumerable: true,
        configurable: true
    });
    SloggerServerWatcher = __decorate([
        inversify_1.injectable()
    ], SloggerServerWatcher);
    return SloggerServerWatcher;
}());
exports.SloggerServerWatcher = SloggerServerWatcher;
//# sourceMappingURL=slogger-protocol.js.map