export declare const TRACER_SERVICE_WS_PATH = "/services/tracer-service";
export declare const ITracer: unique symbol;
export declare enum IpcMessageType {
    Request = "Request",
    Response = "Response",
    Notification = "Notification",
    Error = "Error"
}
export interface ITracer {
    info(message: string, ...args: any[]): void;
    error(message: string, ...args: any[]): void;
    warn(message: string, ...args: any[]): void;
    logIpcCall(id: number, type: IpcMessageType, name: string, params: any): void;
    logState(state: any): void;
}
export declare class TracerDefault implements ITracer {
    logState(state: any): void;
    logIpcCall(id: number, type: IpcMessageType, name: string, params: any): void;
    info(message: string, ...args: any[]): void;
    error(message: string, ...args: any[]): void;
    warn(message: string, ...args: any[]): void;
}
//# sourceMappingURL=trace-protocol.d.ts.map