"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
exports.TRACER_SERVICE_WS_PATH = '/services/tracer-service';
exports.ITracer = Symbol('ITracer');
var IpcMessageType;
(function (IpcMessageType) {
    IpcMessageType["Request"] = "Request";
    IpcMessageType["Response"] = "Response";
    IpcMessageType["Notification"] = "Notification";
    IpcMessageType["Error"] = "Error";
})(IpcMessageType = exports.IpcMessageType || (exports.IpcMessageType = {}));
var TracerDefault = /** @class */ (function () {
    function TracerDefault() {
    }
    TracerDefault.prototype.logState = function (state) {
        console.info("state ", state);
    };
    TracerDefault.prototype.logIpcCall = function (id, type, name, params) {
        console.info("ipc ", type, name, params);
    };
    TracerDefault.prototype.info = function (message) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        console.info(message, args);
    };
    TracerDefault.prototype.error = function (message) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        console.error(message, args);
    };
    TracerDefault.prototype.warn = function (message) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        console.warn(message, args);
    };
    TracerDefault = __decorate([
        inversify_1.injectable()
    ], TracerDefault);
    return TracerDefault;
}());
exports.TracerDefault = TracerDefault;
//# sourceMappingURL=trace-protocol.js.map