/// <reference types="node" />
import { BackendApplicationContribution } from '@theia/core/lib/node';
import { ProcessErrorEvent } from '@theia/process/lib/node/process';
import { ProcessManager } from '@theia/process/lib/node/process-manager';
import { RawProcess, RawProcessFactory } from '@theia/process/lib/node/raw-process';
import * as cp from 'child_process';
import * as express from 'express';
import { TracerNode } from './slogger-log4js';
export declare class SloggerServiceStarter implements BackendApplicationContribution {
    protected readonly processManager: ProcessManager;
    protected readonly processFactory: RawProcessFactory;
    protected readonly logger: TracerNode;
    readonly SLOGGER_SERVICE_PATH: string;
    rawProcess: RawProcess;
    readonly launch: boolean;
    initialize(): void;
    onStop(app?: express.Application): void;
    protected spawnProcessAsync(command: string, args?: string[], options?: cp.SpawnOptions): Promise<RawProcess>;
    protected onDidFailSpawnProcess(error: Error | ProcessErrorEvent): void;
    protected logInfo(data: string | Buffer): void;
}
//# sourceMappingURL=slogger-service-starter.d.ts.map