"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var process_manager_1 = require("@theia/process/lib/node/process-manager");
var raw_process_1 = require("@theia/process/lib/node/raw-process");
var slogger_log4js_1 = require("./slogger-log4js");
var SloggerServiceStarter = /** @class */ (function () {
    function SloggerServiceStarter() {
        this.SLOGGER_SERVICE_PATH = __dirname + '/../../../../../backend/slogger-service';
        this.launch = true;
    }
    // /home/ubuntu/tools2/slogger/extensions/core/lib/node
    SloggerServiceStarter.prototype.initialize = function () {
        if (this.launch) {
            this.logger.logState("SloggerServiceStarter.initialize");
            this.logger.logState(this.SLOGGER_SERVICE_PATH);
            this.spawnProcessAsync('bazel', ['run', "--incompatible_strict_action_env", "//slogger_service:slogger_service"], { cwd: this.SLOGGER_SERVICE_PATH });
        }
    };
    SloggerServiceStarter.prototype.onStop = function (app) {
        if (this.launch) {
            this.logger.logState("SloggerServiceStarter.stop");
            this.rawProcess.inputStream.write('q\n');
            this.rawProcess.kill();
        }
    };
    SloggerServiceStarter.prototype.spawnProcessAsync = function (command, args, options) {
        var _this = this;
        this.rawProcess = this.processFactory({ command: command, args: args, options: options });
        this.rawProcess.errorStream.on('data', this.logInfo.bind(this));
        this.rawProcess.outputStream.on('data', this.logInfo.bind(this));
        return new Promise(function (resolve, reject) {
            _this.rawProcess.onError(function (error) {
                _this.onDidFailSpawnProcess(error);
                if (error.code === 'ENOENT') {
                    var guess = command.split(/\s+/).shift();
                    if (guess) {
                        reject(new Error("Failed to spawn " + guess + "\nPerhaps it is not on the PATH."));
                        return;
                    }
                }
                reject(error);
            });
            process.nextTick(function () { return resolve(_this.rawProcess); });
        });
    };
    SloggerServiceStarter.prototype.onDidFailSpawnProcess = function (error) {
        this.logger.error(error.message);
    };
    SloggerServiceStarter.prototype.logInfo = function (data) {
        if (data) {
            this.logger.info("SloggerServiceStarter: " + data);
        }
    };
    __decorate([
        inversify_1.inject(process_manager_1.ProcessManager),
        __metadata("design:type", process_manager_1.ProcessManager)
    ], SloggerServiceStarter.prototype, "processManager", void 0);
    __decorate([
        inversify_1.inject(raw_process_1.RawProcessFactory),
        __metadata("design:type", Function)
    ], SloggerServiceStarter.prototype, "processFactory", void 0);
    __decorate([
        inversify_1.inject(slogger_log4js_1.TracerNode),
        __metadata("design:type", slogger_log4js_1.TracerNode)
    ], SloggerServiceStarter.prototype, "logger", void 0);
    SloggerServiceStarter = __decorate([
        inversify_1.injectable()
    ], SloggerServiceStarter);
    return SloggerServiceStarter;
}());
exports.SloggerServiceStarter = SloggerServiceStarter;
//# sourceMappingURL=slogger-service-starter.js.map