// package: 
// file: api/slogger_service.proto

/* tslint:disable */
/* eslint-disable */

import * as grpc from "@grpc/grpc-js";
import * as api_slogger_service_pb from "../api/slogger_service_pb";

interface ISLoggerServiceService extends grpc.ServiceDefinition<grpc.UntypedServiceImplementation> {
    importFile: ISLoggerServiceService_IimportFile;
    registerOnQueryChanged: ISLoggerServiceService_IregisterOnQueryChanged;
    unregisterOnQueryChanged: ISLoggerServiceService_IunregisterOnQueryChanged;
    changeQuery: ISLoggerServiceService_IchangeQuery;
    changeQueryDir: ISLoggerServiceService_IchangeQueryDir;
    getEventsFromTo: ISLoggerServiceService_IgetEventsFromTo;
    getDistinctFields: ISLoggerServiceService_IgetDistinctFields;
    getDistinctValuesForField: ISLoggerServiceService_IgetDistinctValuesForField;
    registerOnImportFile: ISLoggerServiceService_IregisterOnImportFile;
    unregisterOnImportFile: ISLoggerServiceService_IunregisterOnImportFile;
    clearData: ISLoggerServiceService_IclearData;
}

interface ISLoggerServiceService_IimportFile extends grpc.MethodDefinition<api_slogger_service_pb.ImportFileRequest, api_slogger_service_pb.ImportFileResponse> {
    path: string; // "/.SLoggerService/importFile"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<api_slogger_service_pb.ImportFileRequest>;
    requestDeserialize: grpc.deserialize<api_slogger_service_pb.ImportFileRequest>;
    responseSerialize: grpc.serialize<api_slogger_service_pb.ImportFileResponse>;
    responseDeserialize: grpc.deserialize<api_slogger_service_pb.ImportFileResponse>;
}
interface ISLoggerServiceService_IregisterOnQueryChanged extends grpc.MethodDefinition<api_slogger_service_pb.OnQueryChangedRequest, api_slogger_service_pb.OnQueryChangedNotification> {
    path: string; // "/.SLoggerService/registerOnQueryChanged"
    requestStream: boolean; // false
    responseStream: boolean; // true
    requestSerialize: grpc.serialize<api_slogger_service_pb.OnQueryChangedRequest>;
    requestDeserialize: grpc.deserialize<api_slogger_service_pb.OnQueryChangedRequest>;
    responseSerialize: grpc.serialize<api_slogger_service_pb.OnQueryChangedNotification>;
    responseDeserialize: grpc.deserialize<api_slogger_service_pb.OnQueryChangedNotification>;
}
interface ISLoggerServiceService_IunregisterOnQueryChanged extends grpc.MethodDefinition<api_slogger_service_pb.OnQueryChangedRequest, api_slogger_service_pb.OnQueryChangedResponse> {
    path: string; // "/.SLoggerService/unregisterOnQueryChanged"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<api_slogger_service_pb.OnQueryChangedRequest>;
    requestDeserialize: grpc.deserialize<api_slogger_service_pb.OnQueryChangedRequest>;
    responseSerialize: grpc.serialize<api_slogger_service_pb.OnQueryChangedResponse>;
    responseDeserialize: grpc.deserialize<api_slogger_service_pb.OnQueryChangedResponse>;
}
interface ISLoggerServiceService_IchangeQuery extends grpc.MethodDefinition<api_slogger_service_pb.QueryRequest, api_slogger_service_pb.QueryResponse> {
    path: string; // "/.SLoggerService/changeQuery"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<api_slogger_service_pb.QueryRequest>;
    requestDeserialize: grpc.deserialize<api_slogger_service_pb.QueryRequest>;
    responseSerialize: grpc.serialize<api_slogger_service_pb.QueryResponse>;
    responseDeserialize: grpc.deserialize<api_slogger_service_pb.QueryResponse>;
}
interface ISLoggerServiceService_IchangeQueryDir extends grpc.MethodDefinition<api_slogger_service_pb.QueryDirRequest, api_slogger_service_pb.QueryDirResponse> {
    path: string; // "/.SLoggerService/changeQueryDir"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<api_slogger_service_pb.QueryDirRequest>;
    requestDeserialize: grpc.deserialize<api_slogger_service_pb.QueryDirRequest>;
    responseSerialize: grpc.serialize<api_slogger_service_pb.QueryDirResponse>;
    responseDeserialize: grpc.deserialize<api_slogger_service_pb.QueryDirResponse>;
}
interface ISLoggerServiceService_IgetEventsFromTo extends grpc.MethodDefinition<api_slogger_service_pb.GetEventsFromToRequest, api_slogger_service_pb.GetEventsFromToResponse> {
    path: string; // "/.SLoggerService/getEventsFromTo"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<api_slogger_service_pb.GetEventsFromToRequest>;
    requestDeserialize: grpc.deserialize<api_slogger_service_pb.GetEventsFromToRequest>;
    responseSerialize: grpc.serialize<api_slogger_service_pb.GetEventsFromToResponse>;
    responseDeserialize: grpc.deserialize<api_slogger_service_pb.GetEventsFromToResponse>;
}
interface ISLoggerServiceService_IgetDistinctFields extends grpc.MethodDefinition<api_slogger_service_pb.GetDistinctFieldsRequest, api_slogger_service_pb.GetDistinctFieldsResponse> {
    path: string; // "/.SLoggerService/getDistinctFields"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<api_slogger_service_pb.GetDistinctFieldsRequest>;
    requestDeserialize: grpc.deserialize<api_slogger_service_pb.GetDistinctFieldsRequest>;
    responseSerialize: grpc.serialize<api_slogger_service_pb.GetDistinctFieldsResponse>;
    responseDeserialize: grpc.deserialize<api_slogger_service_pb.GetDistinctFieldsResponse>;
}
interface ISLoggerServiceService_IgetDistinctValuesForField extends grpc.MethodDefinition<api_slogger_service_pb.GetDistinctValuesForFieldRequest, api_slogger_service_pb.GetDistinctValuesForFieldResponse> {
    path: string; // "/.SLoggerService/getDistinctValuesForField"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<api_slogger_service_pb.GetDistinctValuesForFieldRequest>;
    requestDeserialize: grpc.deserialize<api_slogger_service_pb.GetDistinctValuesForFieldRequest>;
    responseSerialize: grpc.serialize<api_slogger_service_pb.GetDistinctValuesForFieldResponse>;
    responseDeserialize: grpc.deserialize<api_slogger_service_pb.GetDistinctValuesForFieldResponse>;
}
interface ISLoggerServiceService_IregisterOnImportFile extends grpc.MethodDefinition<api_slogger_service_pb.OnImportFileRequest, api_slogger_service_pb.OnImportFileNotification> {
    path: string; // "/.SLoggerService/registerOnImportFile"
    requestStream: boolean; // false
    responseStream: boolean; // true
    requestSerialize: grpc.serialize<api_slogger_service_pb.OnImportFileRequest>;
    requestDeserialize: grpc.deserialize<api_slogger_service_pb.OnImportFileRequest>;
    responseSerialize: grpc.serialize<api_slogger_service_pb.OnImportFileNotification>;
    responseDeserialize: grpc.deserialize<api_slogger_service_pb.OnImportFileNotification>;
}
interface ISLoggerServiceService_IunregisterOnImportFile extends grpc.MethodDefinition<api_slogger_service_pb.OnImportFileRequest, api_slogger_service_pb.OnImportFileResponse> {
    path: string; // "/.SLoggerService/unregisterOnImportFile"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<api_slogger_service_pb.OnImportFileRequest>;
    requestDeserialize: grpc.deserialize<api_slogger_service_pb.OnImportFileRequest>;
    responseSerialize: grpc.serialize<api_slogger_service_pb.OnImportFileResponse>;
    responseDeserialize: grpc.deserialize<api_slogger_service_pb.OnImportFileResponse>;
}
interface ISLoggerServiceService_IclearData extends grpc.MethodDefinition<api_slogger_service_pb.ClearDataRequest, api_slogger_service_pb.ClearDataResponse> {
    path: string; // "/.SLoggerService/clearData"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<api_slogger_service_pb.ClearDataRequest>;
    requestDeserialize: grpc.deserialize<api_slogger_service_pb.ClearDataRequest>;
    responseSerialize: grpc.serialize<api_slogger_service_pb.ClearDataResponse>;
    responseDeserialize: grpc.deserialize<api_slogger_service_pb.ClearDataResponse>;
}

export const SLoggerServiceService: ISLoggerServiceService;

export interface ISLoggerServiceServer {
    importFile: grpc.handleUnaryCall<api_slogger_service_pb.ImportFileRequest, api_slogger_service_pb.ImportFileResponse>;
    registerOnQueryChanged: grpc.handleServerStreamingCall<api_slogger_service_pb.OnQueryChangedRequest, api_slogger_service_pb.OnQueryChangedNotification>;
    unregisterOnQueryChanged: grpc.handleUnaryCall<api_slogger_service_pb.OnQueryChangedRequest, api_slogger_service_pb.OnQueryChangedResponse>;
    changeQuery: grpc.handleUnaryCall<api_slogger_service_pb.QueryRequest, api_slogger_service_pb.QueryResponse>;
    changeQueryDir: grpc.handleUnaryCall<api_slogger_service_pb.QueryDirRequest, api_slogger_service_pb.QueryDirResponse>;
    getEventsFromTo: grpc.handleUnaryCall<api_slogger_service_pb.GetEventsFromToRequest, api_slogger_service_pb.GetEventsFromToResponse>;
    getDistinctFields: grpc.handleUnaryCall<api_slogger_service_pb.GetDistinctFieldsRequest, api_slogger_service_pb.GetDistinctFieldsResponse>;
    getDistinctValuesForField: grpc.handleUnaryCall<api_slogger_service_pb.GetDistinctValuesForFieldRequest, api_slogger_service_pb.GetDistinctValuesForFieldResponse>;
    registerOnImportFile: grpc.handleServerStreamingCall<api_slogger_service_pb.OnImportFileRequest, api_slogger_service_pb.OnImportFileNotification>;
    unregisterOnImportFile: grpc.handleUnaryCall<api_slogger_service_pb.OnImportFileRequest, api_slogger_service_pb.OnImportFileResponse>;
    clearData: grpc.handleUnaryCall<api_slogger_service_pb.ClearDataRequest, api_slogger_service_pb.ClearDataResponse>;
}

export interface ISLoggerServiceClient {
    importFile(request: api_slogger_service_pb.ImportFileRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ImportFileResponse) => void): grpc.ClientUnaryCall;
    importFile(request: api_slogger_service_pb.ImportFileRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ImportFileResponse) => void): grpc.ClientUnaryCall;
    importFile(request: api_slogger_service_pb.ImportFileRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ImportFileResponse) => void): grpc.ClientUnaryCall;
    registerOnQueryChanged(request: api_slogger_service_pb.OnQueryChangedRequest, options?: Partial<grpc.CallOptions>): grpc.ClientReadableStream<api_slogger_service_pb.OnQueryChangedNotification>;
    registerOnQueryChanged(request: api_slogger_service_pb.OnQueryChangedRequest, metadata?: grpc.Metadata, options?: Partial<grpc.CallOptions>): grpc.ClientReadableStream<api_slogger_service_pb.OnQueryChangedNotification>;
    unregisterOnQueryChanged(request: api_slogger_service_pb.OnQueryChangedRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnQueryChangedResponse) => void): grpc.ClientUnaryCall;
    unregisterOnQueryChanged(request: api_slogger_service_pb.OnQueryChangedRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnQueryChangedResponse) => void): grpc.ClientUnaryCall;
    unregisterOnQueryChanged(request: api_slogger_service_pb.OnQueryChangedRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnQueryChangedResponse) => void): grpc.ClientUnaryCall;
    changeQuery(request: api_slogger_service_pb.QueryRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryResponse) => void): grpc.ClientUnaryCall;
    changeQuery(request: api_slogger_service_pb.QueryRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryResponse) => void): grpc.ClientUnaryCall;
    changeQuery(request: api_slogger_service_pb.QueryRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryResponse) => void): grpc.ClientUnaryCall;
    changeQueryDir(request: api_slogger_service_pb.QueryDirRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryDirResponse) => void): grpc.ClientUnaryCall;
    changeQueryDir(request: api_slogger_service_pb.QueryDirRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryDirResponse) => void): grpc.ClientUnaryCall;
    changeQueryDir(request: api_slogger_service_pb.QueryDirRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryDirResponse) => void): grpc.ClientUnaryCall;
    getEventsFromTo(request: api_slogger_service_pb.GetEventsFromToRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetEventsFromToResponse) => void): grpc.ClientUnaryCall;
    getEventsFromTo(request: api_slogger_service_pb.GetEventsFromToRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetEventsFromToResponse) => void): grpc.ClientUnaryCall;
    getEventsFromTo(request: api_slogger_service_pb.GetEventsFromToRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetEventsFromToResponse) => void): grpc.ClientUnaryCall;
    getDistinctFields(request: api_slogger_service_pb.GetDistinctFieldsRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctFieldsResponse) => void): grpc.ClientUnaryCall;
    getDistinctFields(request: api_slogger_service_pb.GetDistinctFieldsRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctFieldsResponse) => void): grpc.ClientUnaryCall;
    getDistinctFields(request: api_slogger_service_pb.GetDistinctFieldsRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctFieldsResponse) => void): grpc.ClientUnaryCall;
    getDistinctValuesForField(request: api_slogger_service_pb.GetDistinctValuesForFieldRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctValuesForFieldResponse) => void): grpc.ClientUnaryCall;
    getDistinctValuesForField(request: api_slogger_service_pb.GetDistinctValuesForFieldRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctValuesForFieldResponse) => void): grpc.ClientUnaryCall;
    getDistinctValuesForField(request: api_slogger_service_pb.GetDistinctValuesForFieldRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctValuesForFieldResponse) => void): grpc.ClientUnaryCall;
    registerOnImportFile(request: api_slogger_service_pb.OnImportFileRequest, options?: Partial<grpc.CallOptions>): grpc.ClientReadableStream<api_slogger_service_pb.OnImportFileNotification>;
    registerOnImportFile(request: api_slogger_service_pb.OnImportFileRequest, metadata?: grpc.Metadata, options?: Partial<grpc.CallOptions>): grpc.ClientReadableStream<api_slogger_service_pb.OnImportFileNotification>;
    unregisterOnImportFile(request: api_slogger_service_pb.OnImportFileRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnImportFileResponse) => void): grpc.ClientUnaryCall;
    unregisterOnImportFile(request: api_slogger_service_pb.OnImportFileRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnImportFileResponse) => void): grpc.ClientUnaryCall;
    unregisterOnImportFile(request: api_slogger_service_pb.OnImportFileRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnImportFileResponse) => void): grpc.ClientUnaryCall;
    clearData(request: api_slogger_service_pb.ClearDataRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ClearDataResponse) => void): grpc.ClientUnaryCall;
    clearData(request: api_slogger_service_pb.ClearDataRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ClearDataResponse) => void): grpc.ClientUnaryCall;
    clearData(request: api_slogger_service_pb.ClearDataRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ClearDataResponse) => void): grpc.ClientUnaryCall;
}

export class SLoggerServiceClient extends grpc.Client implements ISLoggerServiceClient {
    constructor(address: string, credentials: grpc.ChannelCredentials, options?: object);
    public importFile(request: api_slogger_service_pb.ImportFileRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ImportFileResponse) => void): grpc.ClientUnaryCall;
    public importFile(request: api_slogger_service_pb.ImportFileRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ImportFileResponse) => void): grpc.ClientUnaryCall;
    public importFile(request: api_slogger_service_pb.ImportFileRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ImportFileResponse) => void): grpc.ClientUnaryCall;
    public registerOnQueryChanged(request: api_slogger_service_pb.OnQueryChangedRequest, options?: Partial<grpc.CallOptions>): grpc.ClientReadableStream<api_slogger_service_pb.OnQueryChangedNotification>;
    public registerOnQueryChanged(request: api_slogger_service_pb.OnQueryChangedRequest, metadata?: grpc.Metadata, options?: Partial<grpc.CallOptions>): grpc.ClientReadableStream<api_slogger_service_pb.OnQueryChangedNotification>;
    public unregisterOnQueryChanged(request: api_slogger_service_pb.OnQueryChangedRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnQueryChangedResponse) => void): grpc.ClientUnaryCall;
    public unregisterOnQueryChanged(request: api_slogger_service_pb.OnQueryChangedRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnQueryChangedResponse) => void): grpc.ClientUnaryCall;
    public unregisterOnQueryChanged(request: api_slogger_service_pb.OnQueryChangedRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnQueryChangedResponse) => void): grpc.ClientUnaryCall;
    public changeQuery(request: api_slogger_service_pb.QueryRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryResponse) => void): grpc.ClientUnaryCall;
    public changeQuery(request: api_slogger_service_pb.QueryRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryResponse) => void): grpc.ClientUnaryCall;
    public changeQuery(request: api_slogger_service_pb.QueryRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryResponse) => void): grpc.ClientUnaryCall;
    public changeQueryDir(request: api_slogger_service_pb.QueryDirRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryDirResponse) => void): grpc.ClientUnaryCall;
    public changeQueryDir(request: api_slogger_service_pb.QueryDirRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryDirResponse) => void): grpc.ClientUnaryCall;
    public changeQueryDir(request: api_slogger_service_pb.QueryDirRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.QueryDirResponse) => void): grpc.ClientUnaryCall;
    public getEventsFromTo(request: api_slogger_service_pb.GetEventsFromToRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetEventsFromToResponse) => void): grpc.ClientUnaryCall;
    public getEventsFromTo(request: api_slogger_service_pb.GetEventsFromToRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetEventsFromToResponse) => void): grpc.ClientUnaryCall;
    public getEventsFromTo(request: api_slogger_service_pb.GetEventsFromToRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetEventsFromToResponse) => void): grpc.ClientUnaryCall;
    public getDistinctFields(request: api_slogger_service_pb.GetDistinctFieldsRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctFieldsResponse) => void): grpc.ClientUnaryCall;
    public getDistinctFields(request: api_slogger_service_pb.GetDistinctFieldsRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctFieldsResponse) => void): grpc.ClientUnaryCall;
    public getDistinctFields(request: api_slogger_service_pb.GetDistinctFieldsRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctFieldsResponse) => void): grpc.ClientUnaryCall;
    public getDistinctValuesForField(request: api_slogger_service_pb.GetDistinctValuesForFieldRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctValuesForFieldResponse) => void): grpc.ClientUnaryCall;
    public getDistinctValuesForField(request: api_slogger_service_pb.GetDistinctValuesForFieldRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctValuesForFieldResponse) => void): grpc.ClientUnaryCall;
    public getDistinctValuesForField(request: api_slogger_service_pb.GetDistinctValuesForFieldRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.GetDistinctValuesForFieldResponse) => void): grpc.ClientUnaryCall;
    public registerOnImportFile(request: api_slogger_service_pb.OnImportFileRequest, options?: Partial<grpc.CallOptions>): grpc.ClientReadableStream<api_slogger_service_pb.OnImportFileNotification>;
    public registerOnImportFile(request: api_slogger_service_pb.OnImportFileRequest, metadata?: grpc.Metadata, options?: Partial<grpc.CallOptions>): grpc.ClientReadableStream<api_slogger_service_pb.OnImportFileNotification>;
    public unregisterOnImportFile(request: api_slogger_service_pb.OnImportFileRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnImportFileResponse) => void): grpc.ClientUnaryCall;
    public unregisterOnImportFile(request: api_slogger_service_pb.OnImportFileRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnImportFileResponse) => void): grpc.ClientUnaryCall;
    public unregisterOnImportFile(request: api_slogger_service_pb.OnImportFileRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.OnImportFileResponse) => void): grpc.ClientUnaryCall;
    public clearData(request: api_slogger_service_pb.ClearDataRequest, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ClearDataResponse) => void): grpc.ClientUnaryCall;
    public clearData(request: api_slogger_service_pb.ClearDataRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ClearDataResponse) => void): grpc.ClientUnaryCall;
    public clearData(request: api_slogger_service_pb.ClearDataRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: api_slogger_service_pb.ClearDataResponse) => void): grpc.ClientUnaryCall;
}
