import { inject, injectable } from 'inversify';
import { ITracer, IpcMessageType } from "../common/trace-protocol"
import { TracerNode } from './slogger-log4js';

@injectable()
export class TraceServer implements ITracer {

    @inject(TracerNode) protected readonly logger: TracerNode;

    info(message: string, ...args: any[]): void {
        this.logger.info(message, args);
    }
    error(message: string, ...args: any[]): void {
        this.logger.error(message, args);
    }
    warn(message: string, ...args: any[]): void {
        this.logger.warn(message, args);
    }
    logIpcCall(id: number, type: IpcMessageType, name: string, params: any): void {
        this.logger.logIpcCall(id, type, name, params);    
    }
    
    logState(state: any): void {
        this.logger.logState(state);
    }

}