#!/usr/bin/env bash

BASEDIR=$(dirname "$0")
cd "${BASEDIR}"/../../

BIN_PATH="./node_modules/.bin"

PROTOC_GEN_TS_PATH=${BIN_PATH}"/protoc-gen-ts"
GRPC_TOOLS_NODE_PROTOC_PLUGIN=${BIN_PATH}"/grpc_tools_node_protoc_plugin"
GRPC_TOOLS_NODE_PROTOC=${BIN_PATH}"/grpc_tools_node_protoc"
REPLACE_TOOL=${BIN_PATH}"/replace-in-file"

${GRPC_TOOLS_NODE_PROTOC} \
    --js_out=import_style=commonjs,binary:./src \
    --grpc_out=./src \
    --plugin=protoc-gen-grpc="${GRPC_TOOLS_NODE_PROTOC_PLUGIN}" \
    ./api/slogger_service.proto


${GRPC_TOOLS_NODE_PROTOC} \
    --plugin=protoc-gen-ts="${PROTOC_GEN_TS_PATH}" \
    --ts_out=./src \
    ./api/slogger_service.proto

${REPLACE_TOOL} 'from "grpc"' 'from "@grpc/grpc-js"' ./src/api/*.ts

${REPLACE_TOOL} "require('grpc')" "require('@grpc/grpc-js')" ./src/api/*.js
